# shared-react-components

> this lib will contain all UI components such as buttons, inputs, login form, etc.

[![NPM](https://img.shields.io/npm/v/shared-react-components.svg)](https://www.npmjs.com/package/shared-react-components) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

## Install

```bash
npm install --save shared-react-components
```

## Deployment

1. Commit changes to the git repo
```
git add .
git commit -m "description"
```
2. Increase version number
```
npm version patch // small issues
npm version minor // med level issues
npm version major // big changes
```
3. Publish the changes to the [NPMJS](https://npmjs.com)
```
npm publish
```

## Usage

```jsx
import React, { Component } from 'react'

import MyComponent from 'shared-react-components'
import 'shared-react-components/dist/index.css'

class Example extends Component {
  render() {
    return <MyComponent />
  }
}
```

## License

MIT © [enesccinar](https://github.com/enesccinar)
